<template>
  <div class="SettingBox" :class="{ large: activeTab === 2 }">
    <div class="title">事件推送配置</div>
    <div class="close iconfont" @click="$emit('close')">&#xe60f;</div>
    <div class="content">
      <FormArea :id="id" @close="$emit('close')" v-if="activeTab === 0"></FormArea>
    </div>
  </div>
</template>

<script>
import FormArea from "@/views/report/components/FormArea"

export default {
  components: {
    FormArea
  },
  props: {
    id: {},
    nodeList: {}
  },
  data() {
    return {
      activeTab: 0
    }
  }
}
</script>

<style lang="scss" scoped>
.SettingBox {
  position: fixed;
  top: 50%;
  left: 50%;
  margin-top: -354px;
  margin-left: -500px;
  width: 1000px;
  height: 708px;
  background-color: #fff;
  box-shadow: 0px 2px 16px 0px rgba(0, 43, 106, 0.25);
  z-index: 2;

  &.large {
    margin-top: -477px;
    margin-left: -719px;
    width: 1438px;
    height: 953px;
  }

  .title {
    box-sizing: border-box;
    padding: 20px;
    height: 64px;
    border-bottom: 1px solid #e9ebee;
    font-size: 18px;
    font-weight: 700;
  }

  .close {
    position: absolute;
    top: 20px;
    right: 20px;
    font-size: 12px;
    color: #666;
    cursor: pointer;
  }

  .content {
    padding: 20px;

    .tabs {
      display: flex;
      border-bottom: 1px solid #e9ebee;

      .tab {
        transform: translateY(1px);
        padding: 16px 24px;
        cursor: pointer;
        border-bottom: 2px solid rgba(255, 255, 255, 0);

        &.active {
          border-color: #0065ff;
          color: #0065ff;
        }
      }
    }
  }
}
</style>
